package sample;

import javafx.scene.Group;
import javafx.scene.shape.Circle;

public class Ball {
    float x, y, dx, dy, r;
    private Circle c;

    public Ball (float x, float y, float r) {
        this.x = x;
        this.y = y;
        this.r = r;

        dx = (float)Math.random()*4-2;
        dy = (float)Math.random()*4-2;

        c = new Circle(x,y,r);
    }

    void move () {
        x += dx;
        y += dy;

        if (x+r>=600 || x-r<=0) {
            dx *= -1;
        }
        if (y+r>=400 || y-r<=0) {
            dy *= -1;
        }

        c.setCenterX(x);
        c.setCenterY(y);
    }

    void addTo (Group g) {
        g.getChildren().add(c);
    }
}
